@charset "UTF-8";
/*
	■limited_style2018.css 
		レイティング警告等のスタイル
*/

/*
	デバッグパネル 
*/

#debug-panel {
  z-index: 100000;
  position: fixed;
  top: 0;
  right: 0;
  width: 250px;
  border-style: solid;
  border-width: 0.3em;
  border-color: #2be89b;
  font-size: 12px;

  box-shadow: 0 0.5em 0.5em rgba(0, 0, 0, 0.5);

  -ms-user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}

#debug-panel > .header {
  display: flex;
  padding: 0.1em 0.5em;
  background: #2be89b;
  color: #000;
  font-size: 1.4em;
  font-weight: bold;

  justify-content: space-between;
}

#debug-panel > .switch {
  margin-left: 0;
}

#debug-panel > dl {
  margin: 0;
  padding: 0.2em 1em;
  background: rgba(0, 0, 0, 0.6);
  color: #fff;
}

#debug-panel > dl > dt {
  font-size: 1.2em;
  font-weight: bold;
}

#debug-panel > dl > dd {
  margin: 0 0 0 0.5em;
  padding: 0;
  font-size: 1.4em;
}

#debug-panel > dl > dt,
#debug-panel > dl > dd {
  text-shadow: 0 0 0.1em #adf;
}

/*
	エラーページ 
*/

#error-page {
  height: 100%;
  margin: 0;
  padding: 0;
  background: #fffff9;
}

#error-page body {
  height: 100%;
  display: flex;
  margin: 0;
  padding: 0;

  justify-content: center;
  align-items: center;
}

#error-page-panel {
  width: 500px;
  margin: 1rem;
  border: solid 0.1rem #fa4;
  background: #ffffdd;
  box-shadow: 0.1rem 0.3rem 0.4rem rgba(255, 192, 0, 0.4);
}

#error-page h1 {
  height: auto;
  line-height: 1;
  margin: 0;
  padding: 2rem 1rem 0.2rem;
  background: #fa4;
  color: #fff;
  font-family: sans-serif;
  font-size: 1.6rem;
  font-weight: bold;
  letter-spacing: 0.3rem;
}

#error-page-panel-details {
  padding: 0.5rem 1rem;
}

#error-page-panel-details p {
  margin: 0;
  padding: 0;
}

#error-page-panel-details p + p {
  margin-top: 1rem;
}

/*
	18禁警告の表示 
*/

#rating-alert {
  z-index: 90000;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  display: flex;
  margin: 0;
  padding: 0;
  background: #fcae18;
  justify-content: center;
  align-items: center;
  font-size: 16px;
}

#rating-alert-panel {
  width: 400px;
  margin: 1rem;
  border: solid 0.1rem #fa4;
  border-radius: 6px 6px 6px 6px;
  padding: 0;
  background: #fff;
  box-shadow: 0.1rem 0.3rem 0.4rem rgba(255, 192, 0, 0.3);
}

#rating-alert-panel > .title {
  display: block;
  height: auto;
  line-height: 1;
  margin: 0;
  padding: 3rem 1rem 1rem;
  color: #d00;
  text-align: center;
  font-family: sans-serif;
  font-size: 1em;
  font-weight: bold;
  letter-spacing: 0.3em;
}

#rating-alert-panel > .details {
  padding: 0.5em 2em 1em;
  font-size: 0.8em;
}

#rating-alert-panel > .details strong {
  color: #f00;
}

#rating-alert-answers {
  display: flex;
  justify-content: center;
  align-items: center;
}

#rating-alert-answers > a {
  display: block;
  border-radius: 5rem;
  padding: 1rem;
  text-align: center;
  font-weight: bold;
  color: #00f;
  text-decoration: underline;
  cursor: pointer;
}

#rating-alert-answers > a:hover {
  display: block;
  background: #fceedd;
  color: #f00;
}

#rating-alert-answer-no {
  margin-left: 1rem;
}
